%define __python python2.4
%define realname numpy
%define name python-numpy

%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
# eval to 2.3 if python isn't yet present, workaround for no python in fc4 minimal buildroot
%{!?python_version: %define python_version %(%{__python} -c 'import sys; print sys.version.split(" ")[0]' || echo "2.3")}

Name:           %{name}
Version:        1.0.3.1
Release:        1%{?dist}
Summary:        A fast multidimensional array facility for Python

Group:          Development/Languages
License:        BSD
URL:            http://numeric.scipy.org/
Source0:        http://dl.sourceforge.net/numpy/%{realname}-%{version}.tar.gz
Patch0:         numpy-1.0.1-f2py.patch
#Patch1:         numpy-1.0-gfortran.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

#BuildRequires:  python-devel atlas-devel blas-devel lapack-devel python-setuptools gcc-gfortran
# CentOS-3
BuildRequires:  python-devel gcc-gfortran
Provides:       f2py2.4
Obsoletes:      f2py2.4 <= 2.45.241_1927

# Atlas version:
BuildRequires: atlas-sse2

%description
NumPy is a general-purpose array-processing package designed to
efficiently manipulate large multi-dimensional arrays of arbitrary
records without sacrificing too much speed for small multi-dimensional
arrays.  NumPy is built on the Numeric code base and adds features
introduced by numarray as well as an extended C-API and the ability to
create arrays of arbitrary type.

There are also basic facilities for discrete fourier transform,
basic linear algebra and random number generation. Also included in
this package is a version of f2py that works properly with NumPy.

%prep 
%setup -q -n %{realname}-%{version}
%patch0 -p1 -b .f2py
#%patch1 -p1 -b .gfortran

mkdir libs-foo
cd libs-foo
ln -s /usr/lib/sse2/libatlas.so 
ln -s /usr/lib/sse2/libblas.so
ln -s /usr/lib/sse2/libcblas.so
ln -s /usr/lib/sse2/libf77blas.so
ln -s /usr/lib/sse2/liblapack_atlas.so
ln -s /usr/lib/sse2/liblapack.so
ln -s /usr/lib/sse2/libatlas.a
ln -s /usr/lib/sse2/libblas.a
ln -s /usr/lib/sse2/libcblas.a
ln -s /usr/lib/sse2/libf77blas.a
ln -s /usr/lib/sse2/liblapack.a
ln -s /usr/lib/sse2/liblapack_atlas.a
ln -s %{_libdir}/libm.so   

cd ..

cat <<EOF> site.cfg 
[atlas]
library_dirs = ./libs-foo
atlas_libs = lapack, f77blas, cblas, atlas, m
include_dirs = /usr/include/atlas
EOF

%build
    %{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
    %{__python} setup.py build install --root $RPM_BUILD_ROOT

rm -rf docs-f2py ; mv $RPM_BUILD_ROOT%{python_sitearch}/%{realname}/f2py/docs docs-f2py
mv -f $RPM_BUILD_ROOT%{python_sitearch}/%{realname}/f2py/f2py.1 f2py.1
rm -rf doc ; mv -f $RPM_BUILD_ROOT%{python_sitearch}/%{realname}/doc .
install -D -p -m 0644 f2py.1 $RPM_BUILD_ROOT%{_mandir}/man1/f2py.1
pushd $RPM_BUILD_ROOT%{_bindir} &> /dev/null
# symlink for anyone who was using f2py.numpy
ln -s f2py f2py.numpy
popd &> /dev/null

%check ||:
#pushd doc &> /dev/null
#PYTHONPATH="$RPM_BUILD_ROOT%{python_sitearch}" %{__python} -c "import pkg_resources, numpy ; numpy.test(1, 1)"
#popd &> /dev/null

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc docs-f2py doc/* LICENSE.txt
%{_bindir}/*
%{_mandir}/man*/*
%{python_sitearch}/%{realname}

%changelog
* Tue Sep  4 2007 Tru Huynh <tru@pasteur.fr> - 1.0.3.1-1.c5
- update to 1.0.3.1 for centos5

* Fri Jan 12 2007 Tru Huynh <tru@pasteur.fr> - 1.0.1-2.centos3.2
- obsolete for f2py delete py23-numpy :(

* Fri Jan 12 2007 Tru Huynh <tru@pasteur.fr> - 1.0.1-2.centos3.1
- python2.4 rebuild

* Thu Jan 11 2007 Tru Huynh <tru@pasteur.fr> -  1.0.1-2.centos3.1
- Buildrequires added, clean re-enabled

* Thu Jan 11 2007 Tru Huynh <tru@pasteur.fr> -  1.0.1-2.centos3
- python2.3 rebuild from fc6 src.rpm
- heavy hack for local atlas libs (B. Bardiaux)

* Thu Jan 04 2007 Jarod Wilson <jwilson@redhat.com> 1.0.1-2
- Per discussion w/Jose Matos, Obsolete/Provide f2py, as the
  stand-alone one is no longer supported/maintained upstream

* Wed Dec 13 2006 Jarod Wilson <jwilson@redhat.com> 1.0.1-1
- New upstream release

* Tue Dec 12 2006 Jarod Wilson <jwilson@redhat.com> 1.0-2
- Rebuild for python 2.5

* Wed Oct 25 2006 Jarod Wilson <jwilson@redhat.com> 1.0-1
- New upstream release

* Tue Sep 06 2006 Jarod Wilson <jwilson@redhat.com> 0.9.8-1
- New upstream release

* Wed Apr 26 2006 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.9.6-1
- Upstream update

* Thu Feb 16 2006 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.9.5-1
- Upstream update

* Mon Feb 13 2006 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.9.4-2
- Rebuild for Fedora Extras 5

* Thu Feb  2 2006 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.9.4-1
- Initial RPM release
- Added gfortran patch from Neal Becker
